Bug 1785415 (PYTHON39) - Python 3.9
Summary: Python 3.9
Keywords:
Status: CLOSED NEXTRELEASE
Alias: PYTHON39
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On: 1794293 1926091 1697452 1715598 1721671 1736936 1743898 1746849 1746853 1758141 1759925 1759992 1765366 1770859 1773373 1773375 1773377 1775827 1778645 1779753 1781891 1786893 1787746 1787753 1787902 1787946 1787948 1787962 1787966 1788073 1788092 1788100 1788111 1788121 1788491 1788494 1788506 1788512 1788565 1788660 1788703 1788736 1788771 1788809 1788811 1788892 1788918 1788922 1789151 1789175 1789189 1789200 1789210 1789213 1789613 1789618 1789631 1789643 1789646 1789664 1789672 1790701 1790706 1791216 1791676 1791678 1791681 1791684 1791686 1791688 1791693 1791740 1791745 1791750 1791751 1791754 1791756 1791757 1791761 1791764 1791765 1791769 1791770 1791939 1791942 1791944 1791947 1791951 1791952 1791953 1791961 1791963 1791964 1791966 1791969 1791971 1791973 1791976 1791980 1791985 1792029 1792032 1792034 1792035 1792039 1792044 1792046 1792050 1792052 1792053 1792055 1792056 1792057 1792059 1792061 1792062 1792063 1792064 1792065 1792066 1792067 1792774 1792787 1792788 1792789 1792793 1792918 1792919 1792920 1792921 1792928 1792929 1792930 1792931 1792933 1792934 1792936 1792937 1792939 1792941 1792942 1792947 1792948 1792949 1792950 1792951 1792953 1792956 1792959 1792960 1792962 1792963 1792964 1792965 1792966 1792967 1792968 1792970 1792972 1792973 1792974 1792975 1792976 1792977 1792981 1792982 1792983 1792984 1792985 1792986 1792988 1792989 1792990 1792991 1792993 1792994 1792995 1792997 1793003 1793004 1793005 1793006 1793007 1793008 1793009 1793010 1793011 1793015 1793018 1793020 1793021 1793022 1793023 1793025 1793026 1793029 1793032 1793034 1793120 1793129 1793135 1793136 1793140 1793141 1793149 1793159 1793161 1793162 1793163 1793165 1793402 1793424 1793464 1793465 1793470 1793473 1793476 1793477 1793478 1793480 1793483 1793485 1793489 1793491 1793493 1793495 1793496 1793497 1793499 1793502 1793503 1793504 1793506 1793507 1793508 1793509 1793512 1793516 1793518 1793522 1793523 1793562 1793563 1793597 1793612 1793614 1793643 1793645 1793725 1793926 1793948 1793996 1793998 1793999 1794001 1794011 1794065 1794093 1794094 1794222 1794272 1794274 1794275 1794276 1794277 1794279 1794282 1794283 1794285 1794288 1794291 1794292 1794294 1794295 1794297 1794306 1794334 1794335 1794336 1794338 1794339 1794341 1794342 1794443 1795451 1795548 1795549 1795816 1795818 1795819 1795820 1795940 1795945 1795946 1795949 1795950 1795951 1795954 1796024 1796025 1796026 1796224 1796382 1796383 1796384 1796391 1796400 1796407 1796472 1796482 1796863 1796868 1797240 1797686 1797690 1797691 1797695 1797982 1799106 1799254 1799261 1799524 1799655 1799842 1799933 1799935 1800078 1800264 1800370 1800532 1800533 1800534 1800567 1800817 1801243 1801244 1801245 1801246 1801247 1801248 1801581 1801610 1802091 1802092 1802093 1802094 1802095 1802097 1802098 1802099 1802100 1802523 1803191 1803781 1804207 1804725 1805707 1805820 1805832 1806277 1806318 1807186 1807459 1807483 1808111 1808128 1808318 1808321 1808322 1808328 1808343 1808347 1808355 1808384 1808447 1808508 1808656 1808657 1808660 1808661 1808663 1808664 1808665 1808667 1808668 1808670 1808674 1808721 1808722 1808723 1808724 1808737 1809062 1809967 1809969 1809970 1809986 1810313 1811087 1811306 1811350 1813075 1813076 1813188 1814243 1814245 1815105 1815488 1815489 1815903 1816251 1817644 1817646 1817649 1817650 1817652 1817653 1817654 1817655 1817656 1817658 1817660 1817661 1817662 1817665 1817666 1817667 1817668 1817669 1817670 1817673 1817674 1817675 1817676 1817677 1817678 1817679 1817681 1817682 1817684 1817685 1817686 1817689 1817695 1817697 1817699 1817700 1817701 1817703 1817704 1817705 1817707 1817709 1817710 1817711 1817713 1817714 1817715 1817770 1817771 1817772 1817775 1817777 1817778 1817779 1817942 1817952 1817962 1817967 1817984 1818006 1818007 1818009 1818011 1818588 1818592 1818594 1818595 1818596 1818597 1818598 1818599 1818600 1819175 1819177 1820916 1822060 1822099 1822715 1825461 1825462 1825464 1825466 1829702 1829705 1829708 1829716 1829770 1830222 1830659 1830799 1830801 1830802 1830934 1830937 1830943 1830945 1830947 1830949 1830954 1830957 1830960 1830961 1830962 1830964 1830965 1830970 1830971 1830972 1830974 1830976 1830977 1830978 1830980 1830981 1830982 1830984 1830986 1831126 1831128 1831130 1831135 1831153 1831159 1831161 1831163 1831182 1831213 1831237 1831248 1831251 1833579 1834183 1834187 1834206 1834207 1834209 1834210 1834211 1834212 1836330 1836333 1836900 1837011 1837012 1837013 1837372 1838161 1838162 1838171 1838173 1838176 1838200 1838278 1838324 1838327 1838438 1838442 1838445 1838447 1838448 1838450 1838452 1838465 1838467 1838470 1838474 1838484 1838486 1838489 1838696 1840234 1840633 1840636 1841335 1841431 1841614 1841615 1841618 1841624 1841625 1841628 1841632 1841636 1841640 1841641 1841650 1841651 1841653 1841654 1841655 1841657 1841658 1841660 1841661 1841663 1841665 1841667 1841668 1841669 1841671 1841672 1841673 1841674 1841675 1841676 1841679 1841680 1841683 1841684 1841685 1841686 1841688 1841689 1841691 1841692 1841694 1841695 1841696 1841699 1841701 1841702 1841705 1841706 1841707 1841709 1841710 1841711 1841712 1841713 1841714 1841715 1841716 1841721 1841724 1841725 1841727 1841728 1841729 1841730 1841731 1841732 1841734 1841735 1841736 1841737 1841738 1841739 1841742 1841743 1841745 1841748 1841750 1841752 1841753 1841755 1841757 1841759 1841764 1841765 1841766 1841768 1841769 1841771 1841776 1841777 1841778 1841779 1841781 1841782 1841783 1841784 1841785 1841786 1841788 1841791 1841792 1841793 1841794 1841795 1841797 1841798 1841800 1841801 1841803 1841804 1841808 1841811 1841813 1841890 1841891 1842049 1842057 1842077 1842078 1842079 1842080 1842081 1842085 1842090 1842092 1842094 1842095 1842097 1842102 1842107 1842109 1842111 1842113 1842115 1842117 1842118 1842119 1842122 1842124 1842126 1842130 1842132 1842133 1842134 1842144 1842145 1842148 1842151 1842152 1842153 1842155 1842156 1842157 1842158 1842162 1842164 1842312 1843100 1843783 1844014 1845744 1852635 1856098 1865294 1883687 1890442 1891754 1906612
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2019-12-19 20:42 UTC by Ben Cotton
Modified: 2021-02-17 16:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 20:53:29 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-12-19 20:42:35 UTC
This is a tracking bug for Change: Python 3.9
For more details, see: https://fedoraproject.org/wiki/Changes/Python3.9

Update the Python stack in Fedora from Python 3.8 to Python 3.9.

Comment 1 Miro Hrončok 2020-01-03 23:30:45 UTC
Bootstrap started in https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Comment 3 Miro Hrončok 2020-06-01 12:31:16 UTC
The side tag was merged. ~150 packages still need to be rebuilt.

Comment 4 Ben Cotton 2020-08-11 13:10:46 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 5 Miro Hrončok 2020-09-25 20:53:29 UTC
All packages were rebuilt.

Comment 6 Victor Stinner 2020-09-26 10:29:28 UTC
Well done Miro! That was an interesting and long journey :-)

I now hope that Python 3.10 will introduce less incompatible changes...

Comment 7 Karthikeyan Singaravelan 2020-09-29 16:50:48 UTC
Thanks Miro for all the work :)


Note You need to log in before you can comment on or make changes to this bug.